#import "@local/dvdtyp:1.0.0": *

#show: dvdtyp.with(
  title: "Math Notes",
  author: "Amirhossien Dehghan",
)

#outline()


= Spherical Coordinates Conversion

#example[
$
rho = sqrt(x^2+y^2+z^2) > 0 \
x = rho sin theta cos theta \
y = rho sin theta sin theta \
z = rho cos theta
$
]

To use spherical coordinates conversion in triple integral
$ |J| = rho^2 sin theta $

#problem[
Calculate $integral.triple_T e^(x^2+y^2+z^2)^(3/2) dif v$ in terms of
$T = {(x,y,z) | x^2+y^2+z^2 <= 1}$
]

#problem[
Calculate volume of a sphare with radius `a` through triple integral.
$ V = integral.triple_T dif v $
$ T = x^2+y^2+z^2 < a^2 $
]

#pagebreak()

= Stable Field

#example[
Does this field stable?
$ arrow(F) = (2x)/(1+x^2+y^2)arrow(i) + (2y)/(1+x^2+y^2)arrow(j) $
]

== Potential Function

#set par(first-line-indent: 0pt)

In 2D case $arrow(F) = P arrow(i) + Q arrow(j)$ are stable,
it means $P_y = Q_x$. We want to find $U$ so
$ F=gradient U <=> (P,Q) = (U_x,U_y) $
so $U_y = Q, U_x = P$ for example
$ U_x = P => U = integral P dif x + C(y). $
Now we drived from $U$ respect to $y$ and equal to $Q$ so we get $C(y)$.

But we use this formula because it's easier.
#set math.equation(numbering: "(1)")
$ U = integral P dif x + integral Q^* dif y + C) \
"or" \
U = integral P^* dif x + integral Q dif y + C) $

#example[
$ F = e^y arrow(i) + x e^y arrow(j) $
]

#example[
Determine the work done by $F$ on an arbitrarily way from point $(0,0,0)$ to
$(1,pi/2,-1)$.
$ F = y z cos(x y)arrow(i) + sin(x y)arrow(k) + x z cos(x y)arrow(j) $

Answer:
$ c := cases(
	x = 0 + t,
	y = 0 + pi/2 t,
	z = 0 - t,
), \
0 <= t <= 1
$
]

#pagebreak()

#theorem("Green")[
Assume $C$ is a positively oriented, piecewise smooth, simple closed curve,
Also $P$ and $Q$ have continuous partial derivatives over $D$.
$ integral.cont_C F . \dr = integral.cont_C P \dx + Q \dy = 
	integral.double_D ((diff Q) / (diff x) - (diff P) / (diff y)) \dA $
] <green>

#example[
Proof the Green's theorem @green for the following field, assume $C$ is
a circle with equation $x^2+y^2=1$ positively oriented.
$ F = (2x + y)arrow(i) + 2y arrow(j) $
]
